#ifndef TFMAP_H
#   define TFMAP_H

#include "bcurv.h"

typedef struct tfmap_t {
  b_curve_t  curve[4];
}              tfmap_t;



void
tfmap_interpolate(tfmap_t *tfm, double xi, double eta,
                  double *x, double *y);

tfmap_t *
tfmap_make_tfmap(b_curve_t X1,  /* curve xi, eta=0 */
                 b_curve_t X2,  /* curve xi, eta=1 */
                 b_curve_t E1,  /* curve xi=0, eta */
                 b_curve_t E2,  /* curve xi=1, eta */
                 double eps
                 );

#endif /* TFMAP_H */
